"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = combineValidators;
function combineValidators(validators) {
  return function valuesValidator(values) {
    return Object.keys(validators).reduce(function (errors, fieldName) {
      var errorMessage = validators[fieldName](values[fieldName]);

      if (errorMessage) {
        errors[fieldName] = errorMessage;
      }

      return errors;
    }, {});
  };
}