'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = composeValidators;

var _configureValueValidator = require('./configureValueValidator');

function composeValidators() {
  for (var _len = arguments.length, validators = Array(_len), _key = 0; _key < _len; _key++) {
    validators[_key] = arguments[_key];
  }

  return function configurableValidators(sharedConfig) {
    return function composedValidator(value) {
      for (var i = 0, l = validators.length; i < l; i++) {
        var validator = validators[i];
        var errorMessage = undefined;

        if ((0, _configureValueValidator.isValueValidator)(validator)) {
          errorMessage = validator(value);
        } else {
          errorMessage = validator(sharedConfig, value);
        }

        if (errorMessage) {
          return errorMessage;
        }
      }
    };
  };
}